Skip to main content

Append Values

AppendValues appends values after the last row of data in a range.

It calls POST https://sheets.googleapis.com/v4/spreadsheets/{spreadsheetId}/values/{range}:append.

The activity has 4 tabs: Configuration, Auth, Input, and Output.

Configuration

FieldRequiredDescription
NameOptionalName of the step, should be unique within this workflow.
DescriptionOptionalDescribe the purpose or function of this step.
Spreadsheet IdOptionalEnter the ID of the spreadsheet to access.
RangeOptionalSpecify the range of cells to access in the spreadsheet.
Value Input OptionOptionalSpecify how the input data should be interpreted.
Insert Data OptionOptionalSpecify how to insert data into the spreadsheet.
Response Value Render OptionOptionalSpecify how to render values in the response.
Response Date Time Render OptionOptionalSpecify how to render date and time in the response.
Include Values In ResponseOptionalWhether to include values in the response.

Auth

FieldRequiredDescription
Auth TypeOptionalThe authentication method for the request. OAuth 2 is the only option, and the default.
Auth ResourceOptionalOAuth resource containing credentials.

Input

This activity is built on the REST Client, so the Input tab is the generic HTTP request rather than a Google Sheets-shaped payload.

FieldRequiredData TypeDescription
TargetRequiredObjectThe HTTP request.

Output

The activity returns an httpResponse object.

FieldData TypeDescription
status.codeIntegerNumeric HTTP status code.
status.messageStringShort message associated with the HTTP status.
headersObjectHTTP response headers.
bodyObjectParsed body of the response.

The response body carries:

FieldData TypeDescription
spreadsheetIdString
tableRangeString
updatesObjectThe response when updating a range of values in a spreadsheet.